Skip to main content
`Ctrl`+`K`
scipy.interpolate.CubicSpline.

# extend

CubicSpline.extend(c, x)

  Add additional breakpoints and coefficients to the polynomial.

  Parameters:
    c ndarray, size (k, m, …)

      Additional coefficients for polynomials in intervals. Note that the first additional interval will be formed using one of the `self.x` end points.

    x ndarray, size (m,)

      Additional breakpoints. Must be sorted in the same order as `self.x` and either to the right or to the left of the current breakpoints.

  Notes

  This method is not thread safe and must not be executed concurrently with other methods available in this class. Doing so may cause unexpected errors or numerical output mismatches.